Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84326 - usb-storage driver preceeds boot disk driver in linuxrc/ramdisk
Summary: usb-storage driver preceeds boot disk driver in linuxrc/ramdisk
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mkinitrd
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-14 14:57 UTC by Larry Troan
Modified: 2016-04-18 09:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-02 05:57:49 UTC


Attachments (Terms of Use)

Description Larry Troan 2003-02-14 14:57:53 UTC
If the usb-storage driver is loaded, installing a new kernel will create a new
ramdisk where loading of the usb-storage driver preceeds the loading of boot
disk (LSI 1030 fusion driver in this case) driver in linuxrc.

This creates a problem if there is a usb storage device during the boot (the
boot disk was /dev/sda initially).
USB device becomes /dev/sda and boot disk becomes /dev/sdb. This results in a
failure to mount /boot/efi and swap. 

Workaround is to rmmod usb-storage prior to kernel installation. Unmounting the
device does not make a difference since usb-storage is still loaded.

We believe usb-storage driver should not be loaded before the boot disk driver.

This was found on AS2.1 IPF.
----------
Action by: leventakyil
Issue Registered
----------
Action by: leventakyil


Status set to: Waiting on Tech

ISSUE TRACKER 15708 OPEND BY INTEL AS SEV 3.

Comment 1 Larry Troan 2003-02-18 01:28:10 UTC
Note sure if Matt Wilson is correct assignee but do note believe ewt is correct;-)

Comment 2 Steve Ward 2003-02-19 05:40:00 UTC
This bug affects RH8.0 as well!  If kernel is installed using up2date user is
none the wiser until s/he attempts to boot on the new kernel.

Comment 3 Jeremy Katz 2003-03-20 17:47:02 UTC
Reassigning

Comment 4 Jeremy Katz 2003-04-02 05:57:49 UTC
This is fixed in current versions of mkinitrd (3.4.34-1 and later)

Comment 5 Larry Troan 2003-07-18 16:41:54 UTC
FROM SUE DENHAM.....
 Event posted 06-09-2003 01:00pm by sdenham with duration of 0.00       
Hi, Jeremy:

Back on April 2, 2003, you said that a fix for this issue BZ 84326 was Fix
Pending.     Here are your words:
------- Additional Comments From katzj@redhat.com  2003-04-02 00:57 -------
This is fixed in current versions of mkinitrd (3.4.34-1 and later)

Can you please tell me what in what release this will debut?   Or did it ship in
AS 2.1 Update 2?  

Thanks,

Sue

Comment 6 Jeremy Katz 2003-07-18 18:16:40 UTC
It's in Taroon, it's not in QU2.


Note You need to log in before you can comment on or make changes to this bug.